BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - d -

- d_copy_func() : bm::d_copy_func< T >
- data() : bm::sparse_vector_serial_layout< SV >
- deallocate() : bm::block_allocator , bm::ptr_allocator , dbg_block_allocator , dbg_ptr_allocator
- dec_size() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- decode() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- decode_arrbit() : bm::deserializer< BV, DEC >
- decode_bit_block() : bm::deserializer< BV, DEC >
- decode_block_bit() : bm::deserializer< BV, DEC >
- decode_block_bit_interval() : bm::deserializer< BV, DEC >
- decode_buf() : bm::rsc_sparse_vector< Val, SV >
- decoder() : bm::decoder , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- decoder_ : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- decoder_base() : bm::decoder_base
- decoder_little_endian() : bm::decoder_little_endian
- decoder_range_adapter() : bm::decoder_range_adapter< DEC >
- decoder_type : bm::deseriaizer_base< DEC, BLOCK_IDX > , bm::deserializer< BV, DEC > , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- decompress() : bm::rank_compressor< BV > , bm::sparse_vector_scanner< SV >
- delta_sum_map_type : sparse_vect_index
- dense_vect_ : bm::compressed_collection< Value, BV >
- descr_vect_ : bm::similarity_batch< SDESCR >
- deseriaizer_base() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- deserial_ : bm::sparse_vector_deserializer< SV >
- deserialize() : bm::compressed_collection_deserializer< CBC > , bm::deserializer< BV, DEC > , bm::iterator_deserializer< BV, SerialIterator > , bm::operation_deserializer< BV > , bm::sparse_vector_deserializer< SV >
- deserialize_gap() : bm::deserializer< BV, DEC >
- deserialize_plains() : bm::sparse_vector_deserializer< SV >
- deserialize_range() : bm::operation_deserializer< BV > , bm::sparse_vector_deserializer< SV >
- deserialize_sv() : bm::sparse_vector_deserializer< SV >
- deserializer() : bm::deserializer< BV, DEC >
- destruct_bvector() : bm::basic_bmatrix< BV >
- destruct_row() : bm::basic_bmatrix< BV >
- dgap_buf_ : bm::d_copy_func< T >
- difference_type : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::enumerator , bm::bvector< Alloc >::insert_iterator , bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- digest_type : bm::aggregator< BV >
- disable_set_null() : bm::sparse_vector< Val, BV >::back_insert_iterator
- distance_ : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- distance_begin() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- distance_end() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- distance_metric_descriptor() : bm::distance_metric_descriptor
- dmap_ : bm::chrono_taker
- dmd_ : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- DNA_FingerprintScanner() : DNA_FingerprintScanner
- duration : bm::chrono_taker::statistics
- duration_map_type : bm::chrono_taker